import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';
import { RouterModule } from '@angular/router';
import { NgModule } from '@angular/core';

import { BooksComponent } from './books.component';
import { BooksService } from './books.service';
import { BookTitleSortPipe } from './book-title-sort.pipe';
import { AgileSwapDirective } from '../directives/agile-swap.directive';

@NgModule({
  imports: [
    BrowserModule,
    FormsModule,
    HttpModule, 
  ],
  declarations: [ BooksComponent, BookTitleSortPipe, AgileSwapDirective ],
  providers: [ BooksService ],
})
export class BooksModule {}
