import { Component, Inject } from '@angular/core';
import { BooksService } from './books.service';

@Component({
  selector: 'contents',
  templateUrl: './books.component.html',
//  providers: [ BooksService ], //Try uncommenting this and watch the console report service creation
})
export class BooksComponent {
  constructor(@Inject(BooksService) service) {
    this.books = [];                       
    this.service = service;
    
    this.showFirst = true;
    this.toggle();
  }                       
  
  toggle() {
    this.showFirst = !this.showFirst;
    
    setTimeout(() => this.toggle(), 2000);
  }
  
  ngOnInit() {
    this.getBooks();
  }                 
  
  getBooks() {
    this.service.get()
      .subscribe(books => this.books = books);
  }
}