import { Directive, Inject, Input, ViewContainerRef } from '@angular/core';

@Directive({
  selector: '[agileSwap]'
})
export class AgileSwapDirective {
  constructor(@Inject(ViewContainerRef) viewContainer) {
    this.viewContainer = viewContainer;   
  }
  
  @Input() set agileSwap(value) {
    this.useFirst = value;
    this.updateView();
  }
  
  @Input() set agileSwapFirst(part1) {
    this.firstPart = part1
    this.updateView();
  }

  @Input() set agileSwapSecond(part2) {
    this.secondPart = part2
    this.updateView();
  }                   
  
  updateView() {
    if(this.firstPart && this.secondPart) {
      this.viewContainer.clear();
      
      if(this.useFirst) {
        this.viewContainer.createEmbeddedView(this.firstPart);
        this.viewContainer.createEmbeddedView(this.secondPart);
      } else {
        this.viewContainer.createEmbeddedView(this.secondPart);
        this.viewContainer.createEmbeddedView(this.firstPart);
      }
    }
  }
}